Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class CRLSource

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.CRLSource

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class CRLSource
extends ASN1Object
implements ASN1Choice

GenMsg: {id-it TBD1}, SEQUENCE SIZE (1..MAX) OF CRLStatus GenRep: {id-it TBD2}, SEQUENCE SIZE (1..MAX) OF CertificateList | < absent >

CRLSource ::= CHOICE { dpn [0] DistributionPointName, issuer [1] GeneralNames }

Constructor Summary
`CRLSource(DistributionPointName dpn, GeneralNames issuer)`

Method Summary
`DistributionPointName` | `getDpn()`
`static CRLSource` | `getInstance(java.lang.Object o)`
`GeneralNames` | `getIssuer()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRLSource

    public CRLSource(DistributionPointName dpn,
                     GeneralNames issuer)

Method Detail

### getInstance

    public static CRLSource getInstance(java.lang.Object o)

### getDpn

    public DistributionPointName getDpn()

### getIssuer

    public GeneralNames getIssuer()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD